{% extends 'base.html.twig' %}

{% block title %}Jeu {{ game.name }}{% endblock %}

{% block body %}
    <main class="container mt-0 md:mt-12">

		<div class="overflow-hidden bg-white shadow sm:rounded-lg">
			<div class="px-4 py-5 border-b border-gray-200 sm:px-6">
				<h3 class="text-lg font-medium leading-6 text-gray-900">
					{{ game.name }}
				</h3>
				<p class="max-w-2xl mt-1 text-sm leading-5 text-gray-500">
					Informations sur le jeu
				</p>
			</div>
			<div>
				<dl>
					<div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Éditeur du jeu
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ game.editor }}
						</dd>
					</div>
                    <div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Date de sortie
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ game.date ? game.date|date('d/m/Y') : '' }}
						</dd>
					</div>
					<div class="px-4 py-5 bg-white sm:grid sm:grid-cols-2 sm:gap-4 sm:px-6">
						<dt class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 grid-justifyself-center">
						<img src="{{ vich_uploader_asset(game, 'image1File') }}" alt="" class="w-24">
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 grid-justifyself-center">
						<img src="{{ vich_uploader_asset(game, 'image2File') }}" alt="" class="w-24">
						</dd>
					</div>
					<div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Type de jeu
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ game.type }}
						</dd>
					</div>
                    <div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Durée moyenne d'une partie (en minutes)
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ game.partyTime }} min
						</dd>
					</div>
                    <div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Nombre de joueurs minimum et maximum
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							De {{ game.minPlayer }} à {{ game.maxPlayer }}
						</dd>
					</div>
                    <div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Age minimum requis pour jouer
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ game.ageRequired }}
						</dd>
					</div>
                    <div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Auteur(s) du jeu
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ game.creators }}
						</dd>
					</div>
					<div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Description complète
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ game.description }}
						</dd>
					</div>
					<div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Lien vers le site permettant de voir le jeu
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							<a href="{{ game.link }}" title="{{ game.name }}">{{ game.link }}<a>
						</dd>
					</div>
					<div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Distributeur du jeu
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ game.distributor }}
						</dd>
					</div>
                    <div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Prix TTC (en €)
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ game.price }}€
						</dd>
					</div>
					<div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Le jeu est animé par
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{% if not animate.isAnimate %}
								<p>Un bénévole</p>
							{% else %}
								<p>{{ animate.animator.name }} {{ animate.animator.surname }}</p>
							{% endif %}
						</dd>
					</div>
					<div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Actions
						</dt>
						<dd class="flex flex-col mt-1 text-sm leading-5 text-gray-900 md:flex-row sm:mt-0 sm:col-span-2">
							<a class="mb-4 md:mb-0 btn-secondary" href="{{ path('game_index') }}">Revenir à la liste</a>

                            {{ include('game/_delete_form.html.twig') }}

							<a class="btn-info" href="{{ path('game_edit', {'id': game.id}) }}">Mettre à jour</a>
						</dd>
					</div>
				</dl>
			</div>
		</div>
	</main>

{% endblock %}
